SUBDIRS=pics

bin_PROGRAMS = ktron
INCLUDES = -I$(top_srcdir)/libtdegames $(all_includes)

ktron_SOURCES = ai.ui appearance.ui general.ui tron.cpp player.cpp ktron.cpp main.cpp settings.kcfgc
ktron_LDFLAGS =  $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
ktron_LDADD = $(LIB_TDEIO) $(LIB_TDEGAMES)
ktron_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

EXTRA_DIST = ktron.desktop

xdg_apps_DATA = ktron.desktop
kde_kcfg_DATA = ktron.kcfg

METASOURCES = AUTO

rcdir = $(kde_datadir)/ktron
rc_DATA = ktronui.rc

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/ktron.pot
